Core - Bug # 40575

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Must have
Author: Steffen Ritter Category: Backend API
Created: 2012-09-04 Assigned To: Steffen Ritter
Updated: 2012-09-07 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: sysext impexp compat layer files refer to wrong classes

Description

Generating the compat layer files the require once refers to wrong classes folder

Associated revisions

Revision aaa66a60 - 2012-09-05 09:28 - Steffen Ritter

[BUGFIX] Sysext impexp compat layer refers to uppercase class folder

The auto-generated compat layer for the namespace switch
requires the clickmenu classes within the "Classes" folder
while the reside in "classes". This fails on an system with

case sensitive file system.

Change the reference to the correct folder.

Change-Id: 1f523418694684b767aeb16298db2a9fb30a443d5
Fixes: #40575
Release: 6.0

Reviewed-on: http://review.typo3.org/14325

Reviewed-by: Anja Leichsenring
Tested-by: Marcel Burkhalter
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History

#1 - 2012-09-04 08:27 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14325

#2 - 2012-09-05 09:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:aaa66a60c9230bd5a771c321f47dfe6f2924d073.

#3 - 2012-09-07 11:26 - Christian Kuhn
- Parent task set to #40095
